### Method

# Gimp Procedure new_return_values

#### Declaration [src]

    GimpValueArray*
    gimp_procedure_new_return_values (
      GimpProcedure* procedure,
      GimpPDBStatusType status,
      GError* error
    )

#### Description [src]

Format the expected return values from procedures, using the return values set with `gimp_procedure_add_return_value()`.

Available since: | 3.0

#### Parameters

`status` | `GimpPDBStatusType`
| The success status of the procedure run.
`error` | `GError`

            an optional `GError`. This parameter should be set if
            `status` is either #GIMP_PDB_EXECUTION_ERROR or
            #GIMP_PDB_CALLING_ERROR.

| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GimpValueArray`
| The expected `GimpValueArray` as could be returned by a `GimpRunFunc`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.